Bug 269745 - Hint causes change
Hint causes change
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Hints
8.2
PC Windows 7 x64
: P1 (vote)
: Dev
Assigned To: Svata Dedic
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-04 10:24 UTC by Vlken
Modified: 2017-03-30 01:45 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Example (5.13 KB, image/png)
2017-02-04 10:24 UTC, Vlken
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vlken 2017-02-04 10:24:11 UTC
Created attachment 163569 [details]
Example

Applying the 'zero removal' hint change the result from 1 to 0.
Comment 1 Svata Dedic 2017-03-24 15:50:25 UTC
Fixed in jet-main#e6969acad679

I've added also a case for a ^ 0, which is also no-op.
Comment 2 Quality Engineering 2017-03-30 01:45:00 UTC
Integrated into 'main-silver', will be available in build *201703300002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/e6969acad679
User: Svata Dedic <sdedic@netbeans.org>
Log: #269745: proper fix provided for & operation (replace with constant / 0)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo